.....
//	Here I design cells

	    for (int j = 0; j < iColumnsCount; j++)
            {
                if (j == 0 && bCurrentSizeWasChanged)
                {
                    p_oTable.Columns[j].Width = iFirstColumnWidth;
                }
                else
                {
                    p_oTable.Columns[j].Width = iCurentSize;
                }

                for (int i = 1; i < iRowsCount; i++)
                {
                    ITableCell cell = p_oTable.Rows[i].Cells[j];

                    cell.Style.BackColor = Color.FromArgb(0xEC, 0xF2, 0xFD);
                    cell.Style.BordersWidth.All = 0;
                    cell.Style.LineAlignment = LineAlignment.Middle;

                    FormatCell(cell);
                }

                p_oTable.Rows[0].Cells[j].Style.BackColor = Color.FromArgb(212, 57, 64);
                p_oTable.Rows[0].Cells[j].Style.BordersWidth.All = 0;
                p_oTable.Rows[0].Cells[j].Style.TextFont = p_PDFFont;
                p_oTable.Rows[0].Cells[j].Style.ForeColor = Color.White;
                p_oTable.Rows[0].Cells[j].Style.LineAlignment = LineAlignment.Middle;
            }
....

static private void FormatCell(ITableCell p_Cell)
{
	//	Checking some expressions
	//	In cells I hold an XML or text
	.....
	// if all ok - I draw a traffic-lights

            p_Cell.CellPublishing += new CellPublishingEventHandler(cell_CellPublishing);
            p_Cell.Value = <Some value>; // If Cell.Value holds an XML

}

        static void cell_CellPublishing(object sender, CellPublishingArgs e)
        {
            ITableCell cell = sender as ITableCell;
		.........................

            Color currentLightColor;

            .....
                currentLightColor = Color.FromArgb(212, 57, 64);
            ...........

            DrawLight(e, cell, 0, currentLightColor);	//	Drawing one of three circles

            ........
        }

	static private void DrawLight(  CellPublishingArgs p_CellArgs, ITableCell p_Cell, 
                                        int p_iDeltaX, Color p_LightColor)
        {
            IPDFGraphicState props = p_CellArgs.Page.Document.CreateGraphicState();
            props.LineWidth = 4;

            props.ForeColor = p_LightColor;
            float fTextWidth = p_Cell.Style.TextFont.GetTextWidth(p_Cell.Value + " ");

            p_CellArgs.Template.Graphics.DrawCircle(fTextWidth + 5 + p_iDeltaX, 8, 2, props);
        }
